/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

// Update note content dynamically
setInterval(function () {
    $.getJSON("action.php", {
        action: "getnotes"
    }, function (notes) {
        if ($(".notecard").length != notes.length) {
            window.location.reload(true);
        }
        for (var i = 0; i < notes.length; i++) {
            n = notes[i];
            var notecard = $("#notecard_" + n['noteid']);

            if (notecard.data("color") != n['color']) {
                window.location.reload(true);
            }

            var favbtn = notecard.find(".favorite-btn");
            notecard.find(".note-text").html(n['html']);
            if (n.favorite) {
                favbtn.addClass("text-warning");
                favbtn.html('<i class="fas fa-star"></i>');
            } else {
                favbtn.removeClass("text-warning");
                favbtn.html('<i class="far fa-star"></i>');
            }
        }
    });
}, 15 * 1000);

$(".color-btn").click(function () {
    $("#colormodal input[name=noteid]").val($(this).data("noteid"));
    $("#colormodal input[name=color]").val($(this).data("color"));
    $("#colormodal").modal();
});

$(".notecard").on("click", ".notecard-click2open", function () {
    document.location.href = "./app.php?page=editnote&note=" + $(this).parent().data("note");
});

$('[data-toggle="tooltip"]').tooltip();

window.shuffleInstance = new window.Shuffle(document.getElementById('grid'), {
    itemSelector: '.grid__brick',
    sizer: '.sizer-element',
});

// Do the opposite of <noscript>
$(".yesscript").removeClass("d-none");